#
# spec file for package spacewalk-slf4j (Version 1.6.1	)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2000-2009, JPackage Project
# All rights reserved.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define	origname slf4j	 

Name:           spacewalk-slf4j
Version:        1.6.1	
Release:        1.4
Summary:        Simple Logging Facade for Java

Group:          Development/Libraries/Java
License:        X11/MIT
Url:            http://www.slf4j.org/
Source0:        %{origname}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
BuildRequires:  unzip

Requires:       java >= 1.5 unzip
Requires:       jpackage-utils

%description
The Simple Logging Facade for Java or (SLF4J) is intended to serve as a
simple facade for various logging APIs allowing to the end-user to plug
in the desired implementation at deployment time. SLF4J also allows for
a gradual migration path away from Jakarta Commons Logging (JCL).

This slf4j packaging is used for Spacewalk Taskomatic and Search Server



%prep
%setup -q -n %{origname}-%{version}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_javadir}

cp -p %{origname}-api-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{origname}-api-%{version}.jar
cp -p %{origname}-jcl-%{version}.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{origname}-jcl-%{version}.jar

(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0644,root,root,0755)
%{_javadir}/%{origname}-api.jar
%{_javadir}/%{origname}-api-%{version}.jar
%{_javadir}/%{origname}-jcl.jar
%{_javadir}/%{origname}-jcl-%{version}.jar

%changelog
* Tue Dec 21 2010 kkaempf@novell.com
- Add 'BuildRequires: unzip'
* Thu Dec  9 2010 mc@suse.de
- initial release
